LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-24-2008, 04:13 PM   #1
tonj
Member
 
Registered: Sep 2008
Posts: 383

Rep: Reputation: 24
yum update dependency error


if I do yum update I get a huge list scrolling in the terminal window but it eventually stops and says:

1:perl-Module-Pluggable-3.60-20.fc9.i386 from installed has depsolving problems
--> Missing Dependency: perl = 4:5.10.0-20.fc9 is needed by package 1:perl-Module-Pluggable-3.60-20.fc9.i386 (installed)
gnome-python2-bonobo-2.22.0-2.fc9.i386 from installed has depsolving problems
--> Missing Dependency: gnome-python2 = 2.22.0-2.fc9 is needed by package gnome-python2-bonobo-2.22.0-2.fc9.i386 (installed)
4:perl-libs-5.10.0-20.fc9.i386 from installed has depsolving problems
--> Missing Dependency: perl = 4:5.10.0-20.fc9 is needed by package 4:perl-libs-5.10.0-20.fc9.i386 (installed)
Error: Missing Dependency: perl = 4:5.10.0-20.fc9 is needed by package 4:perl-libs-5.10.0-20.fc9.i386 (installed)
Error: Missing Dependency: gnome-python2 = 2.22.0-2.fc9 is needed by package gnome-python2-bonobo-2.22.0-2.fc9.i386 (installed)
Error: Missing Dependency: perl = 4:5.10.0-20.fc9 is needed by package 1:perl-Module-Pluggable-3.60-20.fc9.i386 (installed)

my update process is jammed at this and won't proceed.
Is there a way to fix this?

Last edited by tonj; 09-24-2008 at 04:17 PM. Reason: damn smileyes everywhere that I didn't ask for
 
Old 09-24-2008, 06:46 PM   #2
jay73
LQ Guru
 
Registered: Nov 2006
Location: Belgium
Distribution: Ubuntu 11.04, Debian testing
Posts: 5,019

Rep: Reputation: 130Reputation: 130
Re-do the update but without the problematic packages. It sounds like the typical fedora dependency quirk (in fact, it is fairly typical of all rpm systems I have used). Those things usually get sorted out but it may take a few days for the repository maintainers to take care of it.
 
Old 09-25-2008, 05:33 AM   #3
tonj
Member
 
Registered: Sep 2008
Posts: 383

Original Poster
Rep: Reputation: 24
ok thanks for your advice but how does one exclude the problematic packages? ie: what is the correct command syntax?
 
Old 10-02-2008, 09:26 AM   #4
AppFzx
LQ Newbie
 
Registered: Oct 2008
Posts: 4

Rep: Reputation: 0
Lightbulb Resolution (on new install of Fedora 9 anyway)

PLEASE: Someone who understands how I fixed this should rewrite the important parts so no-one else has to read my novel.

I've had the same problem, new install and things are missing some perl "4:5.10.0-20.fc9" file and it said some gibberish about dependencies. I had originally intended to post my error message and give a progress report, but... it just fixed itself. Here's how:

I used the automatic system updater and it told me I had several perl related dependency issues. I went through the (long) list a handful at a time applying updates until I found the 9 that wouldn't work. A few perl, a few seemingly unrelated, but I'm assuming they used perl scripts?

Then I tried each of them a few more times thinking maybe I had updated something else they needed.

Then I tried to add the "perl programming language" through "add/remove software" thinking it might find dependency issues and resolve them. It did say there were issues and tried to add other packages, but it failed missing the same "4:5.10.0-20.fc9" thing.

Then I closed all the update and add software stuff out, came here looking for help, reopened the add software and and hit update so I could copy the error message, but it updated fine.

The end. Someone who better understands what I did please rewrite the important stuff out of here so people don't need to read my novel.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Dependency problem with Yum update davesmith Red Hat 1 09-06-2007 03:23 PM
yum update gives 'Error: Missing Dependency:" on fresh install tightface Linux - Software 4 07-04-2007 03:10 AM
yum update - error. dependency btaylor1988 Linux - Desktop 3 06-11-2007 06:52 AM
yum update dependency issues ZeroIdea Linux - Desktop 1 09-24-2006 05:44 AM
yum update dependency issues ZeroIdea Linux - Newbie 1 09-23-2006 11:24 PM


All times are GMT -5. The time now is 12:58 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration